<app-unified-header></app-unified-header>
<div class="container ui-area">

    <div id="success-alert" class="alert alert-success alert-dismissible">
        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
        <span id="success-alert-message"></span>
    </div>
    <app-in-page-alerts></app-in-page-alerts>


    <p id="selection-message" *ngIf="displayMode == 1"><span>This is a Selection wizard provided to help in granting or
            revoking permissions over resources. Please choose a team to proceed further.</span></p>


    <h5 class="page-header">Teams Visible to You</h5>
    <div class="row search-bar-new-button-row">
        <div class="col-md-6 col-sm-12 col-12">
            <app-search-bar></app-search-bar>
        </div>
        <div class="col-md-6 col-sm-12 col-12">
            <app-new-button></app-new-button>
        </div>
    </div>


    <p id="error-message-text"></p>
    <app-loading-gif-text></app-loading-gif-text>
    <div id="table-parent" *ngIf="teamsList && teamsList.length > 0">
        <table id="data-table" class="table table-striped table-bordered dt-responsive nowrap" style="width:100%">
            <thead>
                <tr style="background-color:rgba(0, 0, 0, 0.05);">
                    <th>Name</th>
                    <th>Members</th>
                    <th *ngIf="displayMode == 0">Actions</th>
                </tr>
            </thead>
            <tbody id="data-table-body"
                *ngFor="let index of teamsList | paginate: { itemsPerPage: itemsPerPage, currentPage: startIndex + 1, totalItems: totalNumber  }">
                <tr style="background-color: white;">
                    <td><input *ngIf="displayMode == 1" type="checkbox" (click)="onTeamSelected(index)">{{index.name}}
                    </td>
                    <td>{{index.member_count}}</td>
                    <td *ngIf="displayMode == 0">
                        <select (change)='onActionSelected(index)' id="select_{{index._id}}">
                            <option value="select_action" disabled>Select Action</option>
                            <option value="view" *ngIf="index.is_read || index.is_member">View</option>
                            <option value="edit" *ngIf="index._id != 0">Edit</option>
                            <option value="add_remove" *ngIf="index.is_update_content">Add/Remove Members</option>
                            <option value="delete" *ngIf="index.is_delete">Delete</option>
                            <option value="update_permissions" *ngIf="index.is_update_permissions">Update Permissions
                            </option>
                        </select>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div class="row pagination-row" *ngIf="teamsList && teamsList.length > 0">
        <div class="col-md-6 col-sm-12 col-12">
            <span class="table-footer-showing-text"><b>Showing {{startIndex + 1}} -
                    {{(startIndex) * itemsPerPage + teamsList.length}} of {{totalNumber}}
                    Items</b></span>
        </div>
        <div class="col-md-6 col-sm-12 col-12">
            <div class="paginator">
                <pagination-controls (pageChange)="pageChanged($event)"></pagination-controls>
            </div>
        </div>
    </div>
</div>

<ngx-spinner bdColor="rgba(51, 51, 51, 0.8)" size="large" color="#fff" type="timer">
</ngx-spinner>
